> For the complete documentation index, see [llms.txt](https://docs.zealy.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zealy.io/api-reference/reviews/review-a-submission.md).

# Review a submission

## Overview

This endpoint allows you to review one or multiple claimed quests.

## API Reference

## Review the specified claimed quest

<mark style="color:green;">`POST`</mark> `https://api-v2.zealy.io/public/communities/:subdomain/reviews`

#### Path Parameters

| Name                                        | Type   | Description                 |
| ------------------------------------------- | ------ | --------------------------- |
| subdomain<mark style="color:red;">\*</mark> | String | Subdomain of your community |

#### Headers

| Name                                        | Type   | Description  |
| ------------------------------------------- | ------ | ------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                              | Type      | Description                                                               |
| ------------------------------------------------- | --------- | ------------------------------------------------------------------------- |
| claimedQuestIds<mark style="color:red;">\*</mark> | String\[] | Array of claimed quests Ids to review                                     |
| status<mark style="color:red;">\*</mark>          | String    | "success", "fail" or "pending"                                            |
| comment                                           | String    | Comment associated with the review (only if status = "success" or "fail") |
| mark                                              | String    | "star" (only if status = "success") or "flag" (only if status = "fail")   |
| bonusXP                                           | Integer   | only if status = "success" and mark = "star"                              |

{% tabs %}
{% tab title="200: OK Return info about the reviewed quests" %}

```json
{
    "reviewedClaimQuestIds": ["f88493da-bb52-46e1-920d-e1e10b67f0fb"],
    "status": "success",
    "comment": "Amazing Job"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zealy.io/api-reference/reviews/review-a-submission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
